///**
// * Copyright (C) 2012 - 101loops.com <dev@101loops.com>
// *
// * Licensed under the Apache License, Version 2.0 (the "License");
// * you may not use this file except in compliance with the License.
// * You may obtain a copy of the License at
// *
// *         http://www.apache.org/licenses/LICENSE-2.0
// *
// * Unless required by applicable law or agreed to in writing, software
// * distributed under the License is distributed on an "AS IS" BASIS,
// * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// * See the License for the specific language governing permissions and
// * limitations under the License.
// */
//package com.crashnote.core.collect.impl.excp;
//
//import com.crashnote.core.collect.impl.excp.ExcpStackCollector;
//import com.crashnote.core.config.Config;
//import com.crashnote.core.model.data.*;
//
///**
// * Implementation of the {@link ExcpStackCollector}; optimized for being fast, not small output.
// * <p/>
// * It does not apply any optimizations to reduce the size of the output, but tries to get the job
// * done as quick as possible.
// */
//public class FastExcpStackCollector<C extends Config>
//        extends ExcpStackCollector<C> {
//
//    // SETUP ======================================================================================
//
//    public FastExcpStackCollector(final C config) {
//        super(config);
//    }
//
//    // INTERFACE ==================================================================================
//
//    @Override
//    public DataObject collectTrace(final String excpMsg, final String excpCls, final StackTraceElement[] stackTrace) {
//        final DataObject excp = newExcp(excpMsg, excpCls);
//        {
//            int count = 0;
//            final DataArray trace = createDataArr();
//            for (final StackTraceElement element : stackTrace) {
//                if (count >= getLineLimit()) { // TODO: see if lines include 'app base package'
//                    trace.add("[" + (stackTrace.length - count) + "]");
//                    break;
//                }
//                boolean ignore = false;
//                if (isExcludeLowLevelStacks() && count > 1) // don't ever exclude first line
//                    ignore = ignoreTrace(element);
//                if (!ignore) {
//                    final int line = element.getLineNumber();
//                    final String meth = element.getMethodName();
//                    final String file = element.getFileName();
//                    final String cls = element.getClassName();
//                    final StringBuilder sb = new StringBuilder(cls)
//                            .append(':').append(file)
//                            .append(":").append(meth)
//                            .append(":").append(line);
//                    trace.add(sb.toString());
//                    count++;
//                }
//            }
//            excp.put("trace", trace);
//            excp.put("lines", stackTrace.length);
//        }
//        return excp;
//    }
//}